summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/flowtable/0008prio_1
diff options
context:
space:
mode:
authorMáté Eckl <ecklm94@gmail.com>2018-08-24 17:47:17 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2018-08-30 12:11:45 +0200
commitb4026d2515b16513fa46193172a7dce9de5a6a80 (patch)
tree471c5b1ec1d0ca18f6f7dba9c181926ae0c8464a /tests/shell/testcases/flowtable/0008prio_1
parent34ce4e4a7bb61dbf8ce7b3d018a36ab08fb6faf3 (diff)
test: shell: Test cases for standard prios for flowtables
Signed-off-by: Máté Eckl <ecklm94@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/flowtable/0008prio_1')
-rwxr-xr-xtests/shell/testcases/flowtable/0008prio_114
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/shell/testcases/flowtable/0008prio_1 b/tests/shell/testcases/flowtable/0008prio_1
new file mode 100755
index 00000000..87084b93
--- /dev/null
+++ b/tests/shell/testcases/flowtable/0008prio_1
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+$NFT add table t
+for prioname in raw mangle dstnar security srcnat out dummy
+do
+ $NFT add flowtable t f { hook ingress priority $prioname \; devices = { lo }\; }
+ if (($? == 0))
+ then
+ echo "E: $prioname should not be a valid priority name for flowtables" >&2
+ exit 0
+ fi
+done
+
+exit 1